Bug 5426 - --existing and default_perms_for_dir for non-existing directory
--existing and default_perms_for_dir for non-existing directory
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
3.0.0
x86 Linux
: P3 minor
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-28 17:11 UTC by Misha
Modified: 2008-07-26 10:49 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Misha 2008-04-28 17:11:30 UTC
I am getting the following with rsync 2.6.9:

> :~/tmp/rsync> mkdir a
> :~/tmp/rsync> mkdir a/dir
> :~/tmp/rsync> touch a/dir/file
> :~/tmp/rsync> mkdir b
> :~/tmp/rsync> rsync -r --existing a/ b
> default_perms_for_dir: sys_acl_get_file(dir, SMB_ACL_TYPE_DEFAULT): No such file or directory, falling back on umask
> rsync error: some files could not be transferred (code 23) at main.c(977) [sender=2.6.9]
Comment 1 Matt McCutchen 2008-06-23 19:32:00 UTC
This was fixed in rsync 3.0.0.